"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.propTypes = exports.mapProps = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var propType = _propTypes["default"].oneOfType([_propTypes["default"].number, _propTypes["default"].bool, _propTypes["default"].string, _propTypes["default"].array, _propTypes["default"].object]); //https://tailwindcss.com/docs/padding


var space = {
  m: propType,
  mt: propType,
  mr: propType,
  mb: propType,
  ml: propType,
  mx: propType,
  my: propType,
  p: propType,
  pt: propType,
  pr: propType,
  pb: propType,
  pl: propType,
  px: propType,
  py: propType,
  spaceX: propType,
  spaceY: propType
}; //https://tailwindcss.com/docs/width

var sizing = {
  w: propType,
  minW: propType,
  maxW: propType,
  h: propType,
  minH: propType,
  maxH: propType
}; //https://tailwindcss.com/docs/display

var layout = {
  container: propType,
  box: propType,
  display: propType,
  block: propType,
  hidden: propType,
  inlineBlock: propType,
  inline: propType,
  flex: propType,
  inlineFlex: propType,
  grid: propType,
  inlineGrid: propType,
  "float": propType,
  clear: propType,
  object: propType,
  flexGrow: propType,
  flexShrink: propType,
  absolute: propType,
  relative: propType,
  fixed: propType,
  overflow: propType,
  overflowX: propType,
  overflowY: propType,
  scrolling: propType,
  //https://tailwindcss.com/docs/position
  position: propType,
  inset: propType,
  top: propType,
  right: propType,
  bottom: propType,
  left: propType,
  visible: propType,
  invisible: propType,
  //https://tailwindcss.com/docs/z-index
  z: propType,
  textAlign: propType
};
var border = {
  rounded: propType,
  border: propType,
  borderColor: propType,
  borderOpacity: propType,
  borderStyle: propType
};
var borderMap = {
  'border-color': 'border',
  'border-style': 'border'
};
var backgrounds = {
  bg: propType,
  border: propType
};
var opacity = {
  opacity: propType
};
var transition = {
  transition: propType,
  duration: propType,
  ease: propType,
  delay: propType,
  animate: propType
}; //https://tailwindcss.com/docs/font-size
//https://tailwindcss.com/docs/text-align

var typography = {
  align: propType,
  color: propType,
  opacity: propType,
  size: propType,
  weight: propType,
  normal: propType,
  medium: propType,
  bold: propType,
  whitespace: propType,
  truncate: propType,
  uppercase: propType,
  leading: propType
};
var typographyMap = {
  opacity: 'text-opacity',
  color: 'text',
  align: 'text',
  size: 'text',
  weight: 'font',
  normal: 'font-bold',
  medium: 'font-bold',
  bold: 'font-bold'
};
var flexbox = {
  direction: propType,
  wrap: propType,
  grow: propType,
  shrink: propType,
  justify: propType,
  items: propType
};
var grid = {
  cols: propType,
  rows: propType,
  gap: propType,
  gapX: propType,
  gapY: propType,
  gridFlow: propType,
  autoCols: propType,
  autoRows: propType
};
var cursor = {
  cursor: propType
};

var box = _objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread({}, space), opacity), transition), backgrounds), sizing), layout), cursor), border);

var mapProps = {
  typographyMap: typographyMap,
  borderMap: borderMap
};
exports.mapProps = mapProps;
var propTypes = {
  box: box,
  space: space,
  backgrounds: backgrounds,
  sizing: sizing,
  typography: typography,
  layout: layout,
  flexbox: flexbox,
  grid: grid
};
exports.propTypes = propTypes;